radio(1)

NAME
radio - console radio application

SYNOPSIS
radio [ options ]

DESCRIPTION
radio is a interactive, ncurses-bases console radio application.

OPTIONS

-h  print a short help text.

-d  enable debug output.

-q  quit after processing the cmd line options, don't enter interactive ncurses mode. Only useful together with other options for obvious reasons ...

-m  mute radio.

-f freq
    tune the specified radio frequency (and unmute the radio).

-c dev
    specify radio device (default is /dev/radio0).

-s  Do a scan for radio stations.

-S  Same as above + write a radio.fmmap with the signal for every frequency. You can get a graph for it with gnuplot (plot "radio.fmmap" w lin).

-i  Scan, write a initial ~/.radio file to stdout and quit. So you can create a config file where you only have to fill in the correct station names later this way: "radio -i > ~/.radio". See below for the config file syntax.

CONFIGURATION
radio picks up station names and present stations from a config file. It can parse kradio (KDE radio app) config files, therefore it first tries the usual KDE config file location: ~/.kde/share/config/kradiorc. Failing that, radio tries ~/.radio (which makes things a bit easier for people who don't use kradio).

The format looks like this:

# KDE Config File
[Buttons]
1=95800000
2=91400000
[Stations]
100600000=Hundert,6
95800000=Radio eins
102600000=Fritz
94300000=r.s.2
91400000=Berliner Rundfunk

The [Buttons] section can have up to eight entries. That are the present stations, they get mapped to F1-F8. The [Stations] section maps frequencies to station names. The frequencies in both sections are specified in Hz.

KEYS
X	     exit
ESC,Q,E      mute and exit.
up/down      inc/dec frequency
pgup/pgdown  next/previous station.  This one uses the
             stations from the config file by default.
             When started with the -s option these keys
             will cycle througth the stations found during
             the scan.
F1-F8, 1-8   preset buttons.
Ctrl+L       redraw screen.

AUTHOR
Gerd Knorr <kraxel@bytesex.org>

COPYRIGHT
Copyright (C) 1997-2001 Gerd Knorr

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.